#include <iostream>
#include <math.h>
using namespace std;
main()
{
      int n,i,j,max,t,l=0;
      cin>>n;
      int a[n];
      for(i=0;i<n;i++)
      cin>>a[i];
      if(n==2)
      {
                      t=a[1];
                      a[1]=a[0];
                      a[0]=t;  
      }
      else
      {
          max=a[0];
          for(i=0;i<n;i++)
          {
                if(a[i]>max)
                {
                max=a[i]; 
                j=i;
                }     
          }
          
          for(i=0;i<n;i++)
          {
                if(a[i]!=max||l==1)
                {
                 if(a[i]>=max)
                    {
                        max=a[i];
                        j=i;
                    }
                    else l=1;    
                }   
                else
                {
                    max=0; 
                      
                }
                      
          }
          for(i=0;i<n;i++)
          {
                if(a[i]<max)
                {
                      t=a[j];
                      a[j]=a[i];
                      a[i]=t;
                      break;
                }
                      
          }
      }
      for(i=0;i<n;i++)
      {
            cout<<a[i]<<" ";
                  
      }
}